> ## Documentation Index
> Fetch the complete documentation index at: https://developers.illuxi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user

> Create a new [user](/concepts/user)



## OpenAPI

````yaml POST /user/create
openapi: 3.0.0
info:
  version: 2.0.0
  title: illuxiLMS API
  description: Interact with the illuxiLMS API to manage your learning content and users.
  termsOfService: https://illuxi.com/conditions-utilisation/
  contact:
    name: illuxi Team
    email: info@illuxi.com
    url: https://illuxi.com
servers:
  - url: https://{portalApiUrl}
    description: Production server (uses live data)
    variables:
      portalApiUrl:
        default: your-portal.acme.com/api-v2
        description: Your portal's API URL
security:
  - bearerAuth: []
paths:
  /user/create:
    post:
      description: Create a new [user](/concepts/user)
      operationId: createUser
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - firstname
                - lastname
              properties:
                email:
                  type: string
                  format: email
                  description: Email address of the user
                firstname:
                  type: string
                  description: First name
                lastname:
                  type: string
                  description: Last name
                groups:
                  type: array
                  description: List of group keys to add the user to
                  items:
                    type: string
                activation_email:
                  type: string
                  description: Activation email type to send (e.g. "standard")
                  nullable: true
                user_organisation_identifier:
                  type: string
                  nullable: true
                  description: Organisation-specific identifier for the user
                properties:
                  type: object
                  description: Custom property key-value pairs
                  additionalProperties: true
            example:
              email: john.smith@example.com
              firstname: John
              lastname: Smith
              groups:
                - my-group
              user_organisation_identifier: '123456'
      responses:
        '201':
          description: user created
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  result:
                    $ref: '#/components/schemas/User'
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    User:
      type: object
      properties:
        user_id:
          type: integer
          description: Unique identifier of the user
          readOnly: true
        email:
          type: string
          format: email
          description: Email address of the user
        firstname:
          type: string
          description: First name of the user
        lastname:
          type: string
          description: Last name of the user
        user_status:
          type: string
          description: Account status
          enum:
            - active
            - inactive
          readOnly: true
        user_organisation_identifier:
          type: string
          nullable: true
          description: Organisation-specific identifier for the user
        groups:
          type: array
          description: List of group keys the user belongs to
          items:
            type: string
          readOnly: true
        properties:
          type: object
          description: Custom property key-value pairs
          additionalProperties: true
        user_created_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the user was created
        user_updated_date:
          type: string
          format: date-time
          readOnly: true
          description: Date the user was last updated
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Authentication token obtained from POST /token

````